<?php
require_once("../class/class.conectar.php");
require_once("../class/class.vacaciones.php");
require_once("../class/class.usudep.php");

$Objcon = new Conectar();
$conex = $Objcon->con();

$ugid=$_GET['codigo'];

if(isset($_GET['idt'])){
$ugid = $_GET['ugid'];
$numid = $_GET['idfecha'];
$Objv = new Vacaciones();
$Objv->modificar_estado_vacaciones($conex,$numid, $ugid,0 ,2);
echo "<script type='text/javascript'>window.opener.location.reload(); </script>";
}


//seleecionado vacaciones programadas
$Objvp = new Vacaciones();
$res_vp =array();
$res_vp = $Objvp->consultar_vacaciones_personal($conex,$ugid,0);
$cadenavp="<select size='4' style='width:25em;' id='idfechavp'>";
for ($i=0;$i<count($res_vp);$i++){
$codigo=$res_vp[$i]['id'];
$dias=$res_vp[$i]['dias'].$res_vp[$i]['periodo'];
$cadenavp=$cadenavp."<option value='".$codigo."'>".$dias."</option>";
}
$cadenavp=$cadenavp."</select>";

//seleecionado vacaciones ejecutadas
$Objve = new Vacaciones();
$res_ve =array();
$res_ve = $Objve->consultar_vacaciones_personal($conex,$ugid,1);
$cadenave="<select size='4' style='width:25em;'>";
for ($i=0;$i<count($res_ve);$i++){
$codigo=$res_ve[$i]['id'];
$dias=$res_ve[$i]['dias'].$res_ve[$i]['periodo'];
$cadenave=$cadenave."<option value='".$codigo."'>".$dias."</option>";
}
$cadenave=$cadenave."</select>";

//seleecionado vacaciones suspendidas
$Objvs = new Vacaciones();
$res_vs =array();
$res_vs = $Objvs->consultar_vacaciones_personal($conex,$ugid,2);
$cadenavs="<select size='4' style='width:25em;'>";
for ($i=0;$i<count($res_vs);$i++){
$codigo=$res_vs[$i]['id'];
$dias=$res_vs[$i]['dias'].$res_vs[$i]['periodo'];
$cadenavs=$cadenavs."<option value='".$codigo."'>".$dias."</option>";
}
$cadenavs=$cadenavs."</select>";

//seleccionando al personal
$Objp = new UsuarioDependencia();
$res_p = array();
$res_p = $Objp->buscar_cod_per($conex,$ugid);
$nombre = $res_p[0]['nombre'];
$fechaing = $res_p[0]['fingreso'];

?>
<html>
<head>
<title>VACACIONES PROGRAMADAS Y EJECUTADAS</title>
<link rel="stylesheet" type="text/css" href="styles/Style.css">
<script language="JavaScript">
function cerrarVentana(){
window.close();
}
function SuspenderVaca(){ 
   //alert("hola mundo");
	var ugid = document.getElementById('ugid').value;
	var numid = document.getElementById('idfechavp').value;
	//alert(numid);
    window.location ="verdetvacaciones.php?ugid="+ugid+"&idfecha="+numid+"&idt=1";
	//window.opener.location.reload(); window.close();
} 
</script>
<head>
<body>
<br>
<table align='center' class='FacetFormTABLE'>
<tr><td  width="350" align='center' class='FacetFieldCaptionTDT'>PERSONAL ASISTENCIAL</td></tr>
<?php echo "<input type='hidden' id='ugid' name='ugid' value='".$ugid."'>";?>
<tr><td  align='center'><?php echo $nombre; ?></td></tr>
<tr><td  align='center' class='FacetFieldCaptionTDT'>FECHA DE INGRESO</td></tr>
<tr><td  align='center'><?php echo $fechaing; ?></td></tr>
<tr><td  align='center'></td></tr>
<tr><td align='center' class='FacetFieldCaptionTDT'>VACACIONES PROGRAMADAS</td></tr><tr><td align='center'><?php echo $cadenavp; ?></td></tr>
<tr><td align='center'><input type='button' value='Suspender' onClick='SuspenderVaca()'></td></tr>
<tr><td align='center' class='FacetFieldCaptionTDT'>VACACIONES EJECUTADAS</td></tr>
<tr><td align='center'><?php echo $cadenave; ?></td></tr>
<tr><td align='center' class='FacetFieldCaptionTDT'>VACACIONES SUSPENDIDAS</td></tr>
<tr><td align='center'><?php echo $cadenavs; ?></td></tr>
</table>
<table align='center'><tr><td width="350" align='center'><input type='button' value='     Cerrar     ' onClick='cerrarVentana()'></td></tr></table>
</body>
</html>